#!/bin/bash
   cdir=$(dirname "${BASH_SOURCE[0]}")
    tag=$(git tag -l | tail -n 1)
version=${1:-$tag}
   user=$(echo $PACKAGE_USER | cut -d':' -f1);
package=zic

cd $(dirname $cdir);
echo ":: build package $package version $version ::"
rm -vf $package-*.zip
zip -9 -x 'vendor/*' -x 'data/*.txt' -x 'data/*.yml' -x 'data/*.dist'  -x 'app/log/*.log' -x 'app/config/group.yaml' -x 'app/config/config.yaml' -x 'app/views/.cache/*' -x 'app/qrcodes/*' -x 'www/img/*' -x 'files/albums/*' -x 'files/videso/*' -x 'auth.json' -x '*.pdf' -x 'www/img/photos/*' -x '*.ogg' -x '*.license' -x '*.mp3' -x '*.youtube' -r $package-$version.zip ./*
echo ":: sending package to forge ::"
curl --user $PACKAGE_USER --upload-file ./$package-$version.zip https://$PACKAGE_HOST/api/packages/$user/composer?version=$version
echo " status : $?"
