<?php
namespace Pluie\Zic;

use Ma\Sys\Dbg;
use Ma\Service\ConfigLoader;
use Pluie\Zic\App;

class Core
{
    public static function getApp(string $path): App
    {
        Dbg::init("$path/app/config/term.yaml");
        $config = ConfigLoader::load("$path/app/config/config.yaml", true);
        $app    = new App('zic', $config);
        $app['path.root']   = $path . '/';
        $app['path']        = $app['path.root']  . 'app/';
        $app['path.core']   = $app['path.root']  . 'vendor/meta-tech/zic-core/';
        $app['path.data']   = $app['path.root']  . 'data/';
        $app['path.files']  = $app['path.root']  . 'files/';
        $app['path.albums'] = $app['path.files'] . 'albums/';
        $app['path.videos'] = $app['path.files'] . 'videos/';
        $app['path.cover']  = $app['path.root']  . 'www/img/cover/';
        $app['debug']       = $app['config']['debug'];
        ini_set('date.timezone', 'Europe/Paris');
        ini_set('display_startup_errors', $app['debug']);
        ini_set('display_errors', $app['debug']);
        setlocale(LC_TIME, 'fr_FR.utf8');
        return $app;
    }
}
