try {
    window.count = 0;
    var cp = {
        // 
        albumCtype   : null,
        videoReady   : false,
        videoPlayer  : null,
        AudioStart   : false,
        //
        ui           : ".cp-PlayContainer",
        page         : ".cp-PageContent",
        //
        launchVideoPlayer : function(playlist, singleTrack) {
            if (cp.videoReady) {
                $('.cp-Screen').fadeIn(function() {
                    $('#cpVideo').fadeIn(function() {
                        if (typeof cp.audio != "undefined") {
                            cp.pause();
                            cp.hidePlayer();
                            $('cp-Album .cp-Sel').removeClass();
                        }
                        var conf = {
                            width      : 400,
                            height     : 200,
                            events     : {
                                'onReady'      : cp.onVideoReady,
                                'onStateChange': cp.onVideoStateChange,
                                'onError'      : cp.onVideoError
                            }
                        }
                        var title = '';
                        if (playlist!=null)     {
                            conf.playerVars = { list : playlist.id, listType:'playlist', hd : 1 };
                            title = playlist.title;
                        }
                        else {
                            conf.videoId = singleTrack.id;
                            conf.playerVars = { hd : 1 }
                            title = singleTrack.title;
                        }
                        if ($('#cpVideo').attr('data-play') != title) {
                            $('#cpVideo').attr('data-play', title);
                            $('#cpVideo .cp-Title').html(title);
                            if (cp.videoPlayer!= null) {
                                cp.videoPlayer.destroy();
                            }
                            if ($('.cp-VideoEmbded #videoPlayer').length == 0) {
                                $('.cp-VideoEmbded').html('<div id="videoPlayer"></div>');
                            }
                            cp.videoPlayer = new YT.Player('videoPlayer', conf);
                        }
                    });
                });
            }
        },
        //
        onVideoReady : function(event) {
            console.log('onVideoReady');
            event.target.setVolume(100);
            event.target.playVideo();
            cp.videoPlayer.setPlaybackQuality('hd720');
        },
        //
        onVideoStateChange : function(event) {
            console.log('onVideoStateChange');
            switch (event.data) {
                case YT.PlayerState.PLAYING:
                    console.log('playing ');
                    break;
                case YT.PlayerState.PAUSED:
                    console.log('pause');
                    break;
                case YT.PlayerState.ENDED:
                    console.log('ended ');
                    console.log(cp.nextTrack);
                    if (cp.nextTrack != null) {
                        cp.nextTrack.click();
                    }
                    break;
            };
        },
        //
        onVideoError : function(event) {
            console.log('onVideoError');
        },
        // 
        showPlayer   : function() {
            cp.log('showPlayer');
            cp.log('offset width : '+document.body.offsetWidth);
            $('#cpDisplay').removeClass().addClass('cp-Display');
            $(this.ui).slideDown();
        },
        //
        hidePlayer   : function() {
            cp.log('hidePlayer');
            $('#cpDisplay').removeClass().addClass('cp-DisplayOff');
            $(this.ui).slideUp();
        },
        //
        setContent   : function(content) {
            console.log('setContent');
            $(cp.page).fadeOut(function() {
                $(cp.page).html(content);
                $(cp.page).fadeIn();
                console.log("cp.albumCtype", cp.albumCtype);
                $(cp.page +' .cp-Album').swipe( { swipeLeft: cp.albumCtype == 'albums' ? cp.onSwipeAlbum : cp.onSwipeVideos, swipeRight:cp.albumCtype == 'albums' ? cp.onSwipeAlbum : cp.onSwipeVideos, allowPageScroll:"auto"} );
                $(cp.page +' .cp-Album li a').on('click', cp.eventSelectTrack);
                cp.commonEvents();
            });
        },
        //
        displayAlbum : function(idAlbum) {
            console.log('displayAlbum');
            console.log(idAlbum);
            LASTALBUM = idAlbum-1;
            cp.setContent($($('.cp-DataAlbums .cp-Album')[LASTALBUM]).parent().html());
            console.log('define left right events');
        },
        //
        displayVideos : function(idAlbum) {
            console.log('displayAlbum');
            console.log(idAlbum);
            LASTVIDEO = idAlbum-1;
            cp.setContent($($('.cp-DataVideos .cp-Album')[LASTVIDEO]).parent().html());
            console.log('define left right events');
        },
        //
        onSwipeAlbum : function(e, dir) {
            console.log('onSwipeAlbum');
            LASTALBUM += dir == "left" ? -1 : 1;
            if (LASTALBUM >= MAXALBUM) LASTALBUM = MAXALBUM-1;
            if (LASTALBUM < 0) LASTALBUM = 0;
            cp.setContent($($('.cp-DataAlbums .cp-Album')[LASTALBUM]).parent().html());
        },
        //
        onSwipeVideos : function(e, dir) {
            console.log('onSwipeVideo');
            LASTVIDEO += dir == "left" ? -1 : 1;
            if (LASTVIDEO >= MAXVIDEO) LASTVIDEO = MAXVIDEO-1;
            if (LASTVIDEO < 0) LASTVIDEO = 0;
            cp.setContent($($('.cp-DataAlbums .cp-Album')[LASTVIDEO]).parent().html());
        },
        //
        init       : function(track) {
            console.log(" > init track");
            cp.showPlayer();
            var path      = '/file/'+track.ftype+'/'+track.album+'/'+track.code+'/mp3';
            cp.loaded     = false;
            cp.audio      = $('#player')[0];
            cp.muted      = true;
            try {
                cp.audio.play();
                var tid       = setTimeout(function() {
                    $('.cp-ProgressBar').css({ 'width' : '0%' });
                    $('.cp-CurrentTime').html('loading track...');
                    cp.audio.pause();
                    cp.audio.muted = false;
                    cp.audio.src   = path;
                    cp.audio.addEventListener('error' , function() {
                        cp.log('ERROR');
                        $('.cp-CurrentTime').html('error loading track');
                        $('.cp-Track span:nth-child(3)').html('error loading audio');
                    }, false);
                    cp.audio.addEventListener('timeupdate', function() {
                        $('.cp-CurrentTime').html(cp.formatSecondsAsTime(Math.floor(cp.audio.currentTime)));
                        var t = cp.audio.duration;
                        var c = cp.audio.currentTime;
                        var p = c * 100 / t;
                        $('.cp-ProgressBar').css({ 'width' : p+'%' });
                    }, false);
                    cp.audio.addEventListener('loadeddata', function() {
                        cp.loaded = true;
                        $('.cp-Duration').html(cp.formatSecondsAsTime(Math.floor(cp.audio.duration)));
                        cp.log('LOADED DATA');
                    }, false);
                    cp.audio.removeEventListener("ended", cp.eventOnEnded);
                    cp.audio.addEventListener("ended", cp.eventOnEnded);
                    var tid2=setInterval(function() {
                        if (cp.loaded) {
                            console.log('PLAY SOUND');
                            $('.cp-Play').click();
                            clearTimeout(tid2);
                        }
                    }, 200);
                }, 500);
            }
            catch(e) {
                //
                $('.cp-Track span:nth-child(3)').html('error loading audio');
            }
        },
        //
        play : function() {
            cp.log('PLAY');
            cp.audio.play();
        },
        //
        pause : function() {
            if (arguments.length==0) cp.log('PAUSE');
            cp.audio.pause();
        },
        //
        stop : function() {
            cp.log('STOP');
            cp.audio.pause(0);
            cp.audio.currentTime = 0.0;
        },
        //
        formatSecondsAsTime : function(s) {
            var h = Math.floor(s / 3600);
            var m = Math.floor((s - (h * 3600))/60);
            var s = Math.floor(s - (h * 3600) -  (m * 60));
            if (m < 10) m = "0" + m; 
            if (s < 10) s = "0" + s;
            return m + ':' + s;
        },
        //
        log : function(msg) {
            $('#console').html($('#console').html() + msg+'<br/>');
        },
        //
        eventOnEnded     : function() {
            console.log('eventOnEnded');
            if (cp.nextTrack != null) {
                cp.nextTrack.click();
            }
        },
        //
        eventSelectTrack : function() {
            var track = $.parseJSON($(this).attr('data-track'));
            var albumType = track.ftype;
            $('.cp-Album .cp-Sel').removeClass('cp-Sel');
            $(this).parent().addClass('cp-Sel');
            cp.log('=== INIT TRACK ===');
            cp.log(track);
            console.log($($('.cp-AlbumTitle')[track.album]).find('span'));
            console.log($($('.cp-AlbumTitle')[track.album+1]).find('span'));
            console.log($($('.cp-AlbumTitle')));
            $('.cp-Track').html(
                '<span>'+ $('#cpTransv a').html() + '</span>' +
                '<span>'+ $($('.cp-AlbumTitle')[track.album+1]).find('span')[2].innerHTML + '</span>' +
                '<span>'+ track.name + '</span>'
            );
            if (cp.AudioStart) {
                cp.AudioStart = false;
            }
            cp.log('=== SEARCH NEXT TRACK ===');
            cp.nextTrack = null;
            console.log('current');
            console.log($('.cp-Album .cp-Sel a').attr('data-track'));
            var node = $('.cp-Album .cp-Sel')[0];
            while(node != null) {
                node = node.nextSibling;
                cp.log(node);
                if (node!=null && node.nodeName.toLowerCase()=='li') break;
            }
            if (node != null) {
                cp.nextTrack = $(node).find('a');
                console.log('set next track');
                console.log(cp.nextTrack.attr('data-track'));
            }
            if (track.type == 'sound') {
                cp.init(track);
                $('.cp-Screen').fadeOut(function() {
                    $('#cpVideo').fadeOut(function() {
                        if (cp.videoPlayer!= null) {
                            cp.videoPlayer.destroy();
                        }
                        $('#cpVideo').attr('data-play', '');
                    });
                });
                var tid=setInterval(function() {
                    if (typeof cp.audio != "undefined") {
                        cp.log('PLAY TRACK');
                        cp.audio.play();
                        clearTimeout(tid);
                    }
                }, 500);
            }
            else if (track.type == "video") {
                cp.eventVideo( { title : GROUPNAME+' - '+track.name, id : track.url});
            }
        },
        //
        eventVideo : function(track) {
            console.log('eventVideo');
            console.log(track);
            console.log(track.id);
            if (track.id != 'locked') {
                cp.launchVideoPlayer(null, track);
            } else {
                $('#cpPlayer .cp-Track').html('video verrouillée');
            }
            //~ if (typeof cp.audio != "undefined") {
                //~ cp.pause();
                //~ cp.hidePlayer();
                //~ $('cp-Album .cp-Sel').removeClass();
            //~ }
            //~ $('.cp-Screen').fadeIn(function() {
                //~ $('#cpVideo').fadeIn(function() {
                    //~ if ($('#cpVideo').attr('data-play') != track.title) {
                        //~ $('#cpVideo').attr('data-play', track.title);
                        //~ $('#cpVideo .cp-Title').html(track.title);
                        //~ $('#cpVideo .cp-VideoEmbded').html('<iframe frameborder="0" allowfullscreen="" src="'+track.url+'?autoplay=1"></iframe>');
                    //~ }
                //~ });
            //~ });
        },
        //
        eventVideoHome : function() {
            cp.launchVideoPlayer({ title : $(this).html(), id : $(this).attr('data-playlist') });
            //~ cp.eventVideo( { title : $(this).html(), url : $(this).attr('data-url') });
        },
        //
        commonEvents : function() {
            $('.cp-VideoLink').on('click', function() {
                alert('ok');
                var n = $(this);
                cp.eventVideo( { title : n.html(), id : n.attr('data-video')});
            });
            $('.cp-Playlist li a.video').on('click', cp.eventVideoHome);
            $('.cp-MenuGoTo').on('click', function() {
                console.log('goto menu');
                var menu = $(this).attr('data-menu');
                var item = $(this).attr('data-item');
                console.log(menu);
                console.log(item);
                if (item > 0) {
                    $('#cpMenu > a[name='+menu+'] ul li[name='+item+']').click();
                }
                else {
                    $('#cpMenu > a[name='+menu+']').click();
                }
            });
            $('.cp-Left').on('click', function() {
                $('#cpMenu > a[name='+cp.albumCtype+'] ul li.cp-Sel').prev().click();
            });
            $('.cp-Right').on('click', function() {
                $('#cpMenu > a[name='+cp.albumCtype+'] ul li.cp-Sel').next().click();
            });
            console.log($('#cpTransv')[0].offsetHeight);
            console.log($('#cpTransv')[0].offsetHeight < 80);
            if ($('#cpTransv')[0].offsetHeight < 80) {
                $('#cpTransv span').removeClass('open');
                $('#cpMenu').slideUp();
            }
        }
    }
    //
    cp.onload = function(){
        $(cp.ui).slideUp();
        $('#cpPlayer').show();
        document.body.style.height = '100%';
        console.log(document.body.style.height);
        var w  = $(window),
        $bg    = $("#cpBg"),
        ratio  = $bg.width() / $bg.height();

        function resizeBg() {
            if ( (w.width() / w.height()) < ratio ) {
                $bg.removeClass().addClass('cp-BgHeight');
            } else {
                $bg.removeClass().addClass('cp-BgWidth');
            }
        }
        w.resize(function() {
            resizeBg();
        }).trigger("resize");

        //
        var eventPlay = function() {
            $('.cp-Play').hide();
            $('.cp-Pause').show();
            cp.play();
        };
        //
        var eventPause = function() {
            $('.cp-Pause').hide();
            $('.cp-Play').show();
            cp.pause();
        };
        //
        var eventSeek = function(event) {
            if (typeof cp.audio != "undefined") {
                var top  = 0, left = 0, node = $('.cp-Progress')[0];
                do {
                    top  += node.offsetTop;
                    left += node.offsetLeft;
                } 
                while (node = node.offsetParent);
                var x = event.pageX - left; 
                var wrapwidth = document.querySelector('.cp-Progress').offsetWidth;                 
                cp.audio.currentTime = (cp.audio.duration * Math.ceil((x / wrapwidth) * 100)) / 100;
            }
        };
        //
        $('.cp-Progress').on('click', eventSeek);
        $('.cp-Play').on('click', eventPlay);
        $('.cp-Pause').on('click', eventPause);
        $('.cp-Stop').on('click', function() {
            $('.cp-Pause').hide();
            $('.cp-Play').show();
            cp.stop();
        });
        //  
        $('#cpMenu').swipe( { swipeUp:function() {
                if ($('#cpTransv span').hasClass('open')) {
                    $('#cpTransv span').removeClass('open');
                    $('#cpMenu').slideUp();
                }
            }, allowPageScroll:"none"
        });
        cp.setCssPageName = function(name) {
            $(cp.page).removeClass('admin').removeClass('home').removeClass('bio').removeClass('galleria').removeClass('tech').removeClass('contact').removeClass('concerts').removeClass('disc').removeClass('credits').removeClass('label');
            $(cp.page).addClass(name);
        };
        //
        $('#cpMenu > a[name=albums] > span').on('click', function() {
            var n = $($('#cpMenu > a[name=albums] ul li')[0]);
            console.log('select album');
            cp.albumCtype = 'albums';
            n.parent().parent().parent().find('.cp-Sel').removeClass('cp-Sel');
            n.addClass('cp-Sel');
            n.parent().parent().addClass('cp-Sel');
            var idAlbum = n.attr('name');
            console.log(idAlbum);
            cp.displayAlbum(idAlbum);
        });
        //
        $('#cpMenu > a[name=videos] > span').on('click', function() {
            var n = $($('#cpMenu > a[name=videos] ul li')[0]);
            console.log('select album');
            cp.albumCtype = 'videos';
            n.parent().parent().parent().find('.cp-Sel').removeClass('cp-Sel');
            n.addClass('cp-Sel');
            n.parent().parent().addClass('cp-Sel');
            var idAlbum = n.attr('name');
            console.log(idAlbum);
            cp.displayVideos(idAlbum);
        });
        // 
        $('#cpMenu > a[name=home]').on('click', function() {
            $('.cp-Sel').removeClass('cp-Sel');
            $(this).addClass('cp-Sel');
            $(cp.page).fadeOut(function() {
                cp.setCssPageName('home');
                $(cp.page).html($('.cp-DataHome').html());
                cp.commonEvents();
                $(cp.page).fadeIn();
                $(cp.page).addClass ('home');
            });
        });
        // 
        $('#cpMenu > a[name=tech]').on('click', function() {
            $('.cp-Sel').removeClass('cp-Sel');
            $(this).addClass('cp-Sel');
            $(cp.page).fadeOut(function() {
                cp.setCssPageName('tech');
                $(cp.page).html($('.cp-DataTech').html());
                cp.commonEvents();
                $(cp.page).fadeIn();
            });
        });
        $('#cpMenu > a[name=photos]').on('click', function() {
            $('.cp-Sel').removeClass('cp-Sel');
            $(this).addClass('cp-Sel');
            $(cp.page).fadeOut(function() {
                cp.setCssPageName('galleria');
                $(cp.page).html($('.cp-DataPhotos').html());
                cp.commonEvents();
                        //
                var closeGallery = function() {
                    $('.cp-PageContent .galleryContent').slideUp(function() {
                        $('#galleryContainer legend span').html('Photos');
                        try { 
                            Galleria.get(0).destroy();
                        }
                        catch(e) {}
                        $('.cp-PageContent .galleryList').slideDown(function() {
                            $('html, body').animate({
                                scrollTop: 160
                            }, 400);
                        });
                    });
                };
                var showGallery = function() {
                    var data = $.parseJSON($(this).attr('data-galleria'));
                    $('#galleryContainer legend span').html($(this).find('span').html());
                    $('.cp-PageContent .galleryList').slideUp(function() {
                        $('.cp-PageContent .galleryContent').slideDown(function() {
                            $('html, body').animate({
                                scrollTop: 222
                            }, 400);
                            Galleria.loadTheme('/galleria/galleria.classic.min.js?v=2');
                            Galleria.ready(function() {
                                $('.cp-PageContent .galleria-stage').prepend('<div class="closeGallery"></div>');
                                $('.cp-PageContent .galleria-stage .closeGallery').on('click', closeGallery);
                                $('.cp-PageContent .closeGallery').fadeIn();
                            });
                            Galleria.run('.cp-PageContent .galleryContent', {
                                responsive:true,
                                showInfo:true,
                                lightbox: true,
                                wait: 4000,
                                debug:false,
                                dataSource : data
                            });
                        });
                    });
                }
                $(cp.page).fadeIn(function() { 
                    $('html, body').animate({
                        scrollTop: 160
                    }, 400);
                    $('.cp-PageContent .galleryItem').on('click', showGallery);
                });
            });
        });
        // 
        $('#cpMenu > a[name=contact]').on('click', function() {
            $('.cp-Sel').removeClass('cp-Sel');
            $(this).addClass('cp-Sel');
            $(cp.page).fadeOut(function() {
                cp.setCssPageName('contact');
                $(cp.page).html($('.cp-DataContact').html());
                cp.commonEvents();
                $(cp.page).fadeIn();
            });
        });
        // 
        $('#cpMenu > a[name=donate]').on('click', function() {
            $('.cp-Sel').removeClass('cp-Sel');
            $(this).addClass('cp-Sel');
            $(cp.page).fadeOut(function() {
                cp.setCssPageName('contact');
                $(cp.page).html($('.cp-DataDonate').html());
                cp.commonEvents();
                $(cp.page).fadeIn();
            });
        });
        // 
        $('#cpMenu > a[name=dates]').on('click', function() {
            $('.cp-Sel').removeClass('cp-Sel');
            $(this).addClass('cp-Sel');
            $(cp.page).fadeOut(function() {
                cp.setCssPageName('concerts');
                $(cp.page).html($('.cp-DataDates').html());
                cp.commonEvents();
                $('.cp-Collapsed legend').on('click', function() {
                    console.log('collapsed');
                    if ($(this).next('div')[0].style.display=='none') {
                        $(this).next('div').slideDown();
                        $(this).parent().removeClass('cp-Up');
                    }
                    else {
                        $(this).next('div').slideUp();
                        $(this).parent().addClass('cp-Up');
                    }
                });
                $(cp.page).fadeIn();
            });
        });
        // 
        $('#cpMenu > a[name=bio]').on('click', function() {
            $('.cp-Sel').removeClass('cp-Sel');
            $(this).addClass('cp-Sel');
            $(cp.page).fadeOut(function() {
                cp.setCssPageName('bio');
                $(cp.page).html($('.cp-DataBio').html());
                cp.commonEvents();
                $(cp.page).fadeIn();
            });
        });
        // 
        $('#cpMenu > a[name=label]').on('click', function() {
            $('.cp-Sel').removeClass('cp-Sel');
            $(this).addClass('cp-Sel');
            $(cp.page).fadeOut(function() {
                cp.setCssPageName('label');
                $(cp.page).html($('.cp-DataLabel').html());
                cp.commonEvents();
                $(cp.page).fadeIn();
            });
        });
        // 
        $('#cpMenu > a[name=copyright]').on('click', function() {
            $('.cp-Sel').removeClass('cp-Sel');
            $(this).addClass('cp-Sel');
            $(cp.page).fadeOut(function() {
                cp.setCssPageName('credits');
                console.log('copy');
                $(cp.page).html($('.cp-DataCopyright').html());
                cp.commonEvents();
                $('.cp-Collapsed legend').on('click', function() {
                    console.log('collapsed');
                    if ($(this).next('div')[0].style.display=='none') {
                        $(this).next('div').slideDown();
                        $(this).parent().removeClass('cp-Up');
                    }
                    else {
                        $(this).next('div').slideUp();
                        $(this).parent().addClass('cp-Up');
                    }
                });
                $(cp.page).fadeIn();
            });
        });
        //
        $('#cpMenu > a[name=admin]').on('click', function() {
            $('.cp-Sel').removeClass('cp-Sel');
            $(this).addClass('cp-Sel');
            $(cp.page).fadeOut(function() {
                cp.setCssPageName('admin');
                $(cp.page).html($('.cp-DataAdmin').html());
                cp.commonEvents();
                $(cp.page).fadeIn();
            });
        });
        //
        $('#cpDisplay').on('click', function() {
            if ($('.cp-PlayContainer')[0].style.display=="none") {
                cp.showPlayer();
            }
            else {
                cp.hidePlayer();
            }
        });
        //
        $('#cpTransv span').on('click', function() {
            if ($(this).hasClass('open')) {
                $(this).removeClass('open');
                $('#cpMenu').slideUp();
            }
            else {
                $(this).addClass('open');
                $('#cpMenu').slideDown();
            }
        });
        //
        $('.cp-ShowPlayer').on('click', function() {
            cp.showPlayer();
        });
        //
        $('.cp-HidePlayer').on('click', function() {
            cp.hidePlayer();
        });
        //
        $('#cpMenu > a[name=albums] ul li').on('click', function() {
            console.log('select album');
            cp.albumCtype = 'albums';
            $(this).parent().parent().parent().find('.cp-Sel').removeClass('cp-Sel');
            $(this).addClass('cp-Sel');
            $(this).parent().parent().addClass('cp-Sel');
            var idAlbum = $(this).attr('name');
            console.log(idAlbum);
            cp.displayAlbum(idAlbum);
        });
        //
        $('#cpMenu > a[name=videos] ul li').on('click', function() {
            console.log('select videos');
            cp.albumCtype = 'videos';
            $(this).parent().parent().parent().find('.cp-Sel').removeClass('cp-Sel');
            $(this).addClass('cp-Sel');
            $(this).parent().parent().addClass('cp-Sel');
            var idAlbum = $(this).attr('name');
            console.log(idAlbum);
            cp.displayVideos(idAlbum);
        });
        //
        $('.cp-VideoClose').on('click', function() {
            $('#cpVideo').fadeOut(function() {
                $('.cp-Screen').fadeOut();
            });
        });
        //
        $.fn.center = function () {
           this.css("position","absolute");
           this.css("top", ( $(window).height() - this.height() ) / 2  + "px");
           this.css("left", ( $(window).width() - this.width() ) / 2 + "px");
           return this;
        }
        // QUOTES 
        var getNextQuoteIndex = function()
        {
            if(++QUCOUNT > LIMQUOTE) QUCOUNT = 0;
            return QUCOUNT;
        }
        //
        var quote = function(){
            var q = function(j){
                s = $('.cp-DataQuotes li').length;
                if (j < s) {
                    $('#cpQuote').fadeOut(function() {
                        try {
                            $('#cpQuote').html('<div>'+$('.cp-DataQuotes li')[j].innerHTML+"</div>");
                        }
                        catch(e){
                            cp.log(j+' - '+e.message)
                        }
                        $('#cpQuote').fadeIn();
                    });
                }
            }
            q(getNextQuoteIndex());
            setInterval(function(){
                q(getNextQuoteIndex());
            }, 12000);
        }
        if(QUOTE) quote();
        if (typeof HOME_START == 'function') {
            HOME_START();
        } else {
            $('#cpMenu > a[name=home]').click();
        }
        $('#cpVideo').center();
        $('#cpVideo').css({ 'position' : 'fixed' });
        $(window).resize(function() {
            $('#cpVideo').center();
            $('#cpVideo').css({ 'position' : 'fixed' });
        });
        try {
            if (START_ALBUM >= 0) {
                console.log('init album : '+START_ALBUM+' - track : '+START_TRACK);
                var node = $('.cp-Data .cp-DataAlbums .cp-Album')[START_ALBUM];
                node = $(node).find('li')[START_TRACK-1];
                node = $(node).find('a');
                if (node.hasClass("video")) {
                    var waitTillVideoReady = function () {
                        if (!cp.videoReady) {
                            var tid = setTimeout(function() {
                                clearTimeout(tid);
                                waitTillVideoReady();
                            }, 100);
                        }
                        else {
                            cp.eventSelectTrack.call(node);
                        }
                    }
                    waitTillVideoReady();
                }
                else {
                    cp.AudioStart = true;
                    var tid = setTimeout(function() {
                        cp.eventSelectTrack.call(node);
                        clearTimeout(tid);
                    }, 500);
                }
            }
        }
        catch (e) {
            console.log (e.message);
            console.log ("unabled to play startin' track");
        }
    }
    $(document).ready(cp.onload);
}
catch(e) {
    console.log(e.message());
    alert(e.message);
}
