function swipedetect(el, callback) {
  
    var touchsurface = el, swipedir, startX, startY, distX, distY, elapsedTime, startTime,
    allowedTime      = 500, // maximum time allowed to travel that distance
    threshold        = 150, //required min distance traveled to be considered swipe
    restraint        = 100, // maximum distance allowed at the same time in perpendicular direction
    handleswipe      = callback || function(swipedir) {};

    touchsurface.addEventListener('touchstart', function(e) {
        var touchobj = e.changedTouches[0]; 
        swipedir     = 'none';
        dist         = 0;
        startX       = touchobj.pageX;
        startY       = touchobj.pageY;
        startTime    = new Date().getTime(); // record time when finger first makes contact with surface
        console.log('startTime');
        console.log(startTime);
        e.preventDefault();
    }, false);
  
    touchsurface.addEventListener('touchmove', function(e) {
        e.preventDefault() // prevent scrolling when inside DIV
    }, false)
  
    touchsurface.addEventListener('touchend', function(e) {
        var touchobj = e.changedTouches[0];
        distX        = touchobj.pageX - startX; // get horizontal dist traveled by finger while in contact with surface
        distY        = touchobj.pageY - startY; // get vertical dist traveled by finger while in contact with surface
        elapsedTime  = new Date().getTime()-startTime; // get time elapsed
        console.log('elapsedTime');
        console.log(elapsedTime);
        console.log('startTime');
        console.log(startTime);
        if (elapsedTime <= allowedTime) { // first condition for awipe met
            console.log('swipe detect time ok');
            if (Math.abs(distX) >= threshold && Math.abs(distY) <= restraint) { // 2nd condition for horizontal swipe met
                swipedir = (distX < 0)? 'left' : 'right' // if dist traveled is negative, it indicates left swipe
                console.log('swipe detect perpendicular ok');
            }
            else if (Math.abs(distY) >= threshold && Math.abs(distX) <= restraint) { // 2nd condition for vertical swipe met
                swipedir = (distY < 0)? 'up' : 'down' // if dist traveled is negative, it indicates up swipe
                console.log('swipe detect perpendicular ok');
            }
        }
        else {
            console.log('swipe detect time KOOOOO');
        }
        console.log('swipe detected : '+swipedir);
        handleswipe(swipedir);
        e.preventDefault();
    }, false);
}
//USAGE:
/*
var el = document.getElementById('someel')
swipedetect(el, function(swipedir){
    swipedir contains either "none", "left", "right", "top", or "down"
    if (swipedir =='left')
        alert('You just swiped left!')
})
*/
